package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrFrameModelMapper;
import com.ruoyi.project.pssr.domain.TPssrFrameModel;
import com.ruoyi.project.pssr.service.ITPssrFrameModelService;

/**
 * 支（吊）架Service业务层处理
 *
 * @author ssy
 * @date 2024-12-18
 */
@Service
public class TPssrFrameModelServiceImpl implements ITPssrFrameModelService
{
    @Autowired
    private TPssrFrameModelMapper tPssrFrameModelMapper;

    /**
     * 查询支（吊）架
     *
     * @param id 支（吊）架ID
     * @return 支（吊）架
     */
    @Override
    public TPssrFrameModel selectTPssrFrameModelById(Long id)
    {
        return tPssrFrameModelMapper.selectTPssrFrameModelById(id);
    }

    /**
     * 查询支（吊）架列表
     *
     * @param tPssrFrameModel 支（吊）架
     * @return 支（吊）架
     */
    @Override
    public List<TPssrFrameModel> selectTPssrFrameModelList(TPssrFrameModel tPssrFrameModel)
    {
        return tPssrFrameModelMapper.selectTPssrFrameModelList(tPssrFrameModel);
    }

    /**
     * 新增支（吊）架
     *
     * @param tPssrFrameModel 支（吊）架
     * @return 结果
     */
    @Override
    public int insertTPssrFrameModel(TPssrFrameModel tPssrFrameModel)
    {
        return tPssrFrameModelMapper.insertTPssrFrameModel(tPssrFrameModel);
    }

    /**
     * 修改支（吊）架
     *
     * @param tPssrFrameModel 支（吊）架
     * @return 结果
     */
    @Override
    public int updateTPssrFrameModel(TPssrFrameModel tPssrFrameModel)
    {
        return tPssrFrameModelMapper.updateTPssrFrameModel(tPssrFrameModel);
    }

    /**
     * 批量删除支（吊）架
     *
     * @param ids 需要删除的支（吊）架ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFrameModelByIds(Long[] ids)
    {
        return tPssrFrameModelMapper.deleteTPssrFrameModelByIds(ids);
    }

    /**
     * 删除支（吊）架信息
     *
     * @param id 支（吊）架ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFrameModelById(Long id)
    {
        return tPssrFrameModelMapper.deleteTPssrFrameModelById(id);
    }
}
